var Bco01400_RecalculoLancamentoContaCorrente_Repository = function(restEngine) {
  
  this.validateCheckedRow = function(row) {
    
    return restEngine.post('fin_movimentacaoBancaria#/recalculo_lanc_contcorr/validate_selected_row', {
            "requestType": "Row",
            "row": row
          });
    
  };
  
  this.validateCheckedRows = function(checkedRows) {
    
    return restEngine.post('fin_movimentacaoBancaria#/recalculo_lanc_contcorr/validate_multiple_rows', {
            "requestType": "DataSet",
            "dataset": checkedRows
          });
    
  };
  
  this.recontabilizarLancamentos = function(rows) {
    
    return restEngine.post('fin_movimentacaoBancaria#/recalculo_lanc_contcorr/recontabilizar_lancamentos', {
              "requestType": "DataSet",
              "dataset": rows
            });
    
  };
  
  
};

Configuration(function (ContextRegister) {
  ContextRegister.register('Bco01400_RecalculoLancamentoContaCorrente_Repository', Bco01400_RecalculoLancamentoContaCorrente_Repository);
});